﻿using Microsoft.Practices.Unity;
using Prism.Modularity;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ModuleA
{
    public class ModuleA : IModule
    {
        private readonly IRegionManager _regionManager;
        private readonly IUnityContainer _container;

        public ModuleA(IRegionManager regionManager, IUnityContainer container)
        {
            this._regionManager = regionManager;
            this._container = container;
        }

        public void Initialize()
        {
            this.RegisterViews();
        }

        private void RegisterViews()
        {
            this._regionManager.RegisterViewWithRegion("ModuleA", typeof(ViewA));
        }
    }
}
